lvm2 -- insecure communication protocol

2010-08-23T00:00:00
ID DSA-2095
Type debian
Reporter Debian
Modified 2010-08-23T00:00:00

Description

Alasdair Kergon discovered that the cluster logical volume manager daemon (clvmd) in LVM2, The Linux Logical Volume Manager, does not verify client credentials upon a socket connection, which allows local users to cause a denial of service.

For the stable distribution (lenny), this problem has been fixed in version 2.02.39-8.

For the testing distribution (squeeze), and the unstable distribution (sid), this problem has been fixed in version 2.02.66-3.

We recommend that you upgrade your lvm2 package.